> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/cricket-api/our-api/scores/get-all-scores.md).

# GET All Scores

### `GET` All Scores

```
https://cricket.sportmonks.com/api/v2.0/scores
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

| Available parameters |                                                                                                           |
| -------------------- | --------------------------------------------------------------------------------------------------------- |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url. |

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/scores?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
 "data": [
        {
            "resource": "scores",
            "id": 1,
            "name": "1 Bye",
            "runs": 0,
            "four": false,
            "six": false,
            "bye": 1,
            "leg_bye": 0,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": false,
            "ball": true,
            "out": false
        },
        {
            "resource": "scores",
            "id": 2,
            "name": "1 Bye + Retired Hurt",
            "runs": 0,
            "four": false,
            "six": false,
            "bye": 1,
            "leg_bye": 0,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": false,
            "ball": true,
            "out": false
        },
        {
            "resource": "scores",
            "id": 3,
            "name": "1 Bye + Run Out",
            "runs": 0,
            "four": false,
            "six": false,
            "bye": 1,
            "leg_bye": 0,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": true,
            "ball": true,
            "out": true
        },
        {
            "resource": "scores",
            "id": 4,
            "name": "1 Leg Bye",
            "runs": 0,
            "four": false,
            "six": false,
            "bye": 0,
            "leg_bye": 1,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": false,
            "ball": true,
            "out": false
        },
        {
            "resource": "scores",
            "id": 5,
            "name": "1 Leg Bye + Run Out",
            "runs": 0,
            "four": false,
            "six": false,
            "bye": 0,
            "leg_bye": 1,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": true,
            "ball": true,
            "out": true
        },
        {
            "resource": "scores",
            "id": 6,
            "name": "1 Leg Bye + 4 Runs",
            "runs": 4,
            "four": false,
            "six": false,
            "bye": 0,
            "leg_bye": 5,
            "noball": 0,
            "noball_runs": 0,
            "is_wicket": false,
            "ball": true,
            "out": false
        },
        {
            "resource": "scores",
            "id": 7,
            "name": "1 No Ball",
            "runs": 1,
            "four": false,
            "six": false,
            "bye": 0,
            "leg_bye": 0,
            "noball": 1,
            "noball_runs": 1,
            "is_wicket": false,
            "ball": true,
            "out": false
        },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/scores/get-all-scores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
